%define name httrack
%define version 3.22
%define pre     3
%define major 1
%define libname lib%name%major
%define release %{pre}.2mdk
%define summary A free (libre/open source) and easy-to-use offline browser utility.

Summary:	%summary
Name:		%name
Version: 	%version
Release:	%release
Group: 		Networking/WWW
License: 	GPL
Source: 	%{name}-%{version}-%{pre}.tar.bz2
URL: 		http://www.httrack.com
BuildRoot: 	%_tmppath/%name-buildroot
Requires: libhttrack=%version-%release
BuildRequires: perl
BuildRequires: zlib-devel

%description
HTTrack is a free (open source) and easy-to-use offline browser utility.
Download a World Wide Web site from the Internet to a local directory.
Builds recursively all directories.
Getting HTML, images, and other files from the server.
HTTrack arranges the original site's relative link-structure.
Simply open a page of the "mirrored" website in your browser.
You can browse the site from link to link, as if you were viewing it online. 
It can update an existing mirrored site, and resume interrupted downloads.
It is fully configurable, and has an integrated help system.

%package -n %libname
Summary:     %summary
Group: 		System/Libraries
Provides:       libhttrack=%version-%release

%description -n %libname
libraries needed for httrack

%package -n %libname-devel 
Summary:	Headers and static libraries for httrack
Group:		Development/C++
Requires:	libhttrack=%version-%release
Provides:       libhttrack-devel
Requires: 	libhttrack1 = %version

%description -n %libname-devel
libraries headers for needed building using httrack

%prep
%__rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure2_5x

%install
%makeinstall_std
 
%__mkdir_p $RPM_BUILD_ROOT/etc

%__cat  >$RPM_BUILD_ROOT/etc/httrack.conf <<"EOF"
# HTTrack Website Copier Settings
# See httrack --help for more information

# Examples: (to uncomment)

# set proxy proxy.myisp.com:8080
# retries=2
# set max-size 10000000
# set max-time 36000
# set user-agent Mouzilla/17.0 (compatible; HTTrack; I)
#
# There are MUCH more options.. try 'httrack --quiet --help | more'

# Deny and allow for links
# this will be used by default for all mirrors
allow *.gif
allow *.png
deny ad.doubleclick.net/*

# Path and other options
# '~' in the *begining* means 'home dir'
# '#' at the *end* means "projectname" (that is, the first URL given)
# Example: '~/websites/#' will create /home/smith/websites/www.foo.com
# folder when launching 'httrack www.foo.com'
set path ~/websites/#
EOF
 
%__chmod 644 $RPM_BUILD_ROOT/etc/httrack.conf

%clean
%__rm -rf $RPM_BUILD_ROOT
 
%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root,)
%doc httrack-doc.html templates COPYING INSTALL README *.txt
%{_docdir}/httrack/
%_bindir/*
%config (noreplace) /etc/httrack.conf
%{_mandir}/man1/*
 
%files -n %libname
%defattr(-, root, root)
%{_libdir}/*.so.* 

%files -n %libname-devel
%defattr(-,root,root)  
%{_libdir}/*.so
%{_libdir}/libhttrack.a
%{_libdir}/libhttrack.la
%_includedir/%name

%changelog
* Sat Jan 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.22-3.2mdk
- rebuild

* Mon Nov 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.22-3.1mdk
- 3.22-3

* Tue Nov 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.22-2.1mdk
- 3.22-2

* Wed Oct 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.21-7.1mdk
- 3.21-7
- from Charles A Edwards <eslrahc@bellsouth.net> :
	- 3.21-4
	- use librafication
	- autoconf2.5
	- add marcos
	- create all docs and lib files
	- spec clean-up
	- change summary
	- reduce line length in description for rpmlint

* Mon Oct 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.21-1mdk
- 3.21

* Mon Jul 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.20-0.1mdk
- 3.20RC3

* Thu Mar 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.16-1mdk
- 3.16

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.15-1mdk
- 3.15

* Wed Dec 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.10-1mdk
- 3.10

* Mon Oct 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.09-1mdk
- remove patch since fixes are now in sources.
- 3.09

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.08-2mdk
- modified patch 
- lib

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.08-1mdk
- updated by Pierre-Michel THEVENY <pmt@mnhn.fr> 
	- Updated to 3.08

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.07-2mdk
- fixed by Chris Molnar <cmolnar@snet.net> :
        - added _libdir to the files section

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.07-1mdk
- 3.07

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.05-1mdk
- updated to 3.05

* Mon Jul 23 2001  Lenny Cartier <lenny@mandrakesoft.com> 3.03-1mdk
- updated by Pierre-Michel THEVENY <pmt@mnhn.fr> :
	- updated to 3.03

* Mon Apr 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.01-1mdk
- updated to 3.01

* Thu Apr 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.00-2mdk
  - added in contribs by Pierre-Michel THEVENY <pmt@mnhn.fr> :
        - Fix files permissions
        - Rebuild on Mandrake 8.0 (rpm-4.0)

* Tue Apr 19 2001 Pierre-Michel THEVENY <pmt@mnhn.fr> 3.00-1mdk
- First built

 


